MIME::Decoder::Binary(3)

NAME
MIME::Decoder::Binary - perform no encoding/decoding

SYNOPSIS
A generic decoder object; see MIME::Decoder for usage.

DESCRIPTION
A MIME::Decoder subclass for the "binary" encoding (in other words, no encoding).

The "binary" decoder is a special case, since it's ill-advised to read the input line-by-line: after all, an uncompressed image file might conceivably have loooooooooong stretches of bytes without a "\n" among them, and we don't want to risk blowing out our core. So, we read-and-write fixed-size chunks.

Both the encoder and decoder do a simple pass-through of the data from input to output.

SEE ALSO
MIME::Decoder

AUTHOR
Eryq (eryq@zeegee.com), ZeeGee Software Inc (http://www.zeegee.com).

All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.